curl --request POST \
--url https://api-sandbox.circle.com/v1/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"refId": "d4e5f6a1-b2c3-7890-abcd-ef1234567890",
"nickname": "Vendor A - MXN",
"customerType": "INDIVIDUAL",
"destinationCountry": "MX",
"destinationCurrency": "MXN",
"paymentMethod": "SPEI",
"bankAccount": {
"CLABE": "012345678901234568",
"BANK_NAME": "BBVA Mexico"
},
"travelRule": {
"BENEFICIARY_NAME": "Alice Garcia",
"BENEFICIARY_ADDRESS": {
"STREET": "Av. Reforma 100",
"CITY": "Ciudad de Mexico",
"STATE_PROVINCE": "CDMX",
"POSTAL_CODE": "06600",
"COUNTRY": "MX"
}
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/beneficiaries"
payload = {
"idempotencyKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"refId": "d4e5f6a1-b2c3-7890-abcd-ef1234567890",
"nickname": "Vendor A - MXN",
"customerType": "INDIVIDUAL",
"destinationCountry": "MX",
"destinationCurrency": "MXN",
"paymentMethod": "SPEI",
"bankAccount": {
"CLABE": "012345678901234568",
"BANK_NAME": "BBVA Mexico"
},
"travelRule": {
"BENEFICIARY_NAME": "Alice Garcia",
"BENEFICIARY_ADDRESS": {
"STREET": "Av. Reforma 100",
"CITY": "Ciudad de Mexico",
"STATE_PROVINCE": "CDMX",
"POSTAL_CODE": "06600",
"COUNTRY": "MX"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
refId: 'd4e5f6a1-b2c3-7890-abcd-ef1234567890',
nickname: 'Vendor A - MXN',
customerType: 'INDIVIDUAL',
destinationCountry: 'MX',
destinationCurrency: 'MXN',
paymentMethod: 'SPEI',
bankAccount: {CLABE: '012345678901234568', BANK_NAME: 'BBVA Mexico'},
travelRule: {
BENEFICIARY_NAME: 'Alice Garcia',
BENEFICIARY_ADDRESS: {
STREET: 'Av. Reforma 100',
CITY: 'Ciudad de Mexico',
STATE_PROVINCE: 'CDMX',
POSTAL_CODE: '06600',
COUNTRY: 'MX'
}
}
})
};
fetch('https://api-sandbox.circle.com/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotencyKey' => 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
'refId' => 'd4e5f6a1-b2c3-7890-abcd-ef1234567890',
'nickname' => 'Vendor A - MXN',
'customerType' => 'INDIVIDUAL',
'destinationCountry' => 'MX',
'destinationCurrency' => 'MXN',
'paymentMethod' => 'SPEI',
'bankAccount' => [
'CLABE' => '012345678901234568',
'BANK_NAME' => 'BBVA Mexico'
],
'travelRule' => [
'BENEFICIARY_NAME' => 'Alice Garcia',
'BENEFICIARY_ADDRESS' => [
'STREET' => 'Av. Reforma 100',
'CITY' => 'Ciudad de Mexico',
'STATE_PROVINCE' => 'CDMX',
'POSTAL_CODE' => '06600',
'COUNTRY' => 'MX'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/beneficiaries"
payload := strings.NewReader("{\n \"idempotencyKey\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\",\n \"refId\": \"d4e5f6a1-b2c3-7890-abcd-ef1234567890\",\n \"nickname\": \"Vendor A - MXN\",\n \"customerType\": \"INDIVIDUAL\",\n \"destinationCountry\": \"MX\",\n \"destinationCurrency\": \"MXN\",\n \"paymentMethod\": \"SPEI\",\n \"bankAccount\": {\n \"CLABE\": \"012345678901234568\",\n \"BANK_NAME\": \"BBVA Mexico\"\n },\n \"travelRule\": {\n \"BENEFICIARY_NAME\": \"Alice Garcia\",\n \"BENEFICIARY_ADDRESS\": {\n \"STREET\": \"Av. Reforma 100\",\n \"CITY\": \"Ciudad de Mexico\",\n \"STATE_PROVINCE\": \"CDMX\",\n \"POSTAL_CODE\": \"06600\",\n \"COUNTRY\": \"MX\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.circle.com/v1/beneficiaries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotencyKey\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\",\n \"refId\": \"d4e5f6a1-b2c3-7890-abcd-ef1234567890\",\n \"nickname\": \"Vendor A - MXN\",\n \"customerType\": \"INDIVIDUAL\",\n \"destinationCountry\": \"MX\",\n \"destinationCurrency\": \"MXN\",\n \"paymentMethod\": \"SPEI\",\n \"bankAccount\": {\n \"CLABE\": \"012345678901234568\",\n \"BANK_NAME\": \"BBVA Mexico\"\n },\n \"travelRule\": {\n \"BENEFICIARY_NAME\": \"Alice Garcia\",\n \"BENEFICIARY_ADDRESS\": {\n \"STREET\": \"Av. Reforma 100\",\n \"CITY\": \"Ciudad de Mexico\",\n \"STATE_PROVINCE\": \"CDMX\",\n \"POSTAL_CODE\": \"06600\",\n \"COUNTRY\": \"MX\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotencyKey\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\",\n \"refId\": \"d4e5f6a1-b2c3-7890-abcd-ef1234567890\",\n \"nickname\": \"Vendor A - MXN\",\n \"customerType\": \"INDIVIDUAL\",\n \"destinationCountry\": \"MX\",\n \"destinationCurrency\": \"MXN\",\n \"paymentMethod\": \"SPEI\",\n \"bankAccount\": {\n \"CLABE\": \"012345678901234568\",\n \"BANK_NAME\": \"BBVA Mexico\"\n },\n \"travelRule\": {\n \"BENEFICIARY_NAME\": \"Alice Garcia\",\n \"BENEFICIARY_ADDRESS\": {\n \"STREET\": \"Av. Reforma 100\",\n \"CITY\": \"Ciudad de Mexico\",\n \"STATE_PROVINCE\": \"CDMX\",\n \"POSTAL_CODE\": \"06600\",\n \"COUNTRY\": \"MX\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"idempotencyKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"refId": "d4e5f6a1-b2c3-7890-abcd-ef1234567890",
"nickname": "Vendor A - MXN",
"customerType": "INDIVIDUAL",
"destinationCountry": "MX",
"destinationCurrency": "MXN",
"paymentMethod": "SPEI",
"status": "INACTIVE",
"fieldManifest": "[\"BENEFICIARY_ADDRESS\",\"BENEFICIARY_NAME\",\"CLABE\"]",
"createDate": "2026-08-12T15:30:45.123Z",
"updateDate": "2026-08-12T15:30:45.123Z"
}
}Create a beneficiary
Registers a new fiat payout beneficiary for a supported payment corridor.
The beneficiary is created in INACTIVE status and undergoes asynchronous risk screening.
Poll GET /v1/beneficiaries/{id} until status is ACTIVE before using it in a payout.
Bank/account fields (e.g. CLABE, IBAN) go in bankAccount; travel-rule / PII fields
(e.g. BENEFICIARY_NAME, BENEFICIARY_ADDRESS) go in travelRule. Use
GET /v1/beneficiaries/requirements to discover which fields are required for a corridor.
Beneficiary records are immutable. To correct a registration error, soft-delete the record
(DELETE /v1/beneficiaries/{id}) and register a new one.
curl --request POST \
--url https://api-sandbox.circle.com/v1/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"refId": "d4e5f6a1-b2c3-7890-abcd-ef1234567890",
"nickname": "Vendor A - MXN",
"customerType": "INDIVIDUAL",
"destinationCountry": "MX",
"destinationCurrency": "MXN",
"paymentMethod": "SPEI",
"bankAccount": {
"CLABE": "012345678901234568",
"BANK_NAME": "BBVA Mexico"
},
"travelRule": {
"BENEFICIARY_NAME": "Alice Garcia",
"BENEFICIARY_ADDRESS": {
"STREET": "Av. Reforma 100",
"CITY": "Ciudad de Mexico",
"STATE_PROVINCE": "CDMX",
"POSTAL_CODE": "06600",
"COUNTRY": "MX"
}
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/beneficiaries"
payload = {
"idempotencyKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"refId": "d4e5f6a1-b2c3-7890-abcd-ef1234567890",
"nickname": "Vendor A - MXN",
"customerType": "INDIVIDUAL",
"destinationCountry": "MX",
"destinationCurrency": "MXN",
"paymentMethod": "SPEI",
"bankAccount": {
"CLABE": "012345678901234568",
"BANK_NAME": "BBVA Mexico"
},
"travelRule": {
"BENEFICIARY_NAME": "Alice Garcia",
"BENEFICIARY_ADDRESS": {
"STREET": "Av. Reforma 100",
"CITY": "Ciudad de Mexico",
"STATE_PROVINCE": "CDMX",
"POSTAL_CODE": "06600",
"COUNTRY": "MX"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
refId: 'd4e5f6a1-b2c3-7890-abcd-ef1234567890',
nickname: 'Vendor A - MXN',
customerType: 'INDIVIDUAL',
destinationCountry: 'MX',
destinationCurrency: 'MXN',
paymentMethod: 'SPEI',
bankAccount: {CLABE: '012345678901234568', BANK_NAME: 'BBVA Mexico'},
travelRule: {
BENEFICIARY_NAME: 'Alice Garcia',
BENEFICIARY_ADDRESS: {
STREET: 'Av. Reforma 100',
CITY: 'Ciudad de Mexico',
STATE_PROVINCE: 'CDMX',
POSTAL_CODE: '06600',
COUNTRY: 'MX'
}
}
})
};
fetch('https://api-sandbox.circle.com/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotencyKey' => 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
'refId' => 'd4e5f6a1-b2c3-7890-abcd-ef1234567890',
'nickname' => 'Vendor A - MXN',
'customerType' => 'INDIVIDUAL',
'destinationCountry' => 'MX',
'destinationCurrency' => 'MXN',
'paymentMethod' => 'SPEI',
'bankAccount' => [
'CLABE' => '012345678901234568',
'BANK_NAME' => 'BBVA Mexico'
],
'travelRule' => [
'BENEFICIARY_NAME' => 'Alice Garcia',
'BENEFICIARY_ADDRESS' => [
'STREET' => 'Av. Reforma 100',
'CITY' => 'Ciudad de Mexico',
'STATE_PROVINCE' => 'CDMX',
'POSTAL_CODE' => '06600',
'COUNTRY' => 'MX'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/beneficiaries"
payload := strings.NewReader("{\n \"idempotencyKey\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\",\n \"refId\": \"d4e5f6a1-b2c3-7890-abcd-ef1234567890\",\n \"nickname\": \"Vendor A - MXN\",\n \"customerType\": \"INDIVIDUAL\",\n \"destinationCountry\": \"MX\",\n \"destinationCurrency\": \"MXN\",\n \"paymentMethod\": \"SPEI\",\n \"bankAccount\": {\n \"CLABE\": \"012345678901234568\",\n \"BANK_NAME\": \"BBVA Mexico\"\n },\n \"travelRule\": {\n \"BENEFICIARY_NAME\": \"Alice Garcia\",\n \"BENEFICIARY_ADDRESS\": {\n \"STREET\": \"Av. Reforma 100\",\n \"CITY\": \"Ciudad de Mexico\",\n \"STATE_PROVINCE\": \"CDMX\",\n \"POSTAL_CODE\": \"06600\",\n \"COUNTRY\": \"MX\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.circle.com/v1/beneficiaries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotencyKey\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\",\n \"refId\": \"d4e5f6a1-b2c3-7890-abcd-ef1234567890\",\n \"nickname\": \"Vendor A - MXN\",\n \"customerType\": \"INDIVIDUAL\",\n \"destinationCountry\": \"MX\",\n \"destinationCurrency\": \"MXN\",\n \"paymentMethod\": \"SPEI\",\n \"bankAccount\": {\n \"CLABE\": \"012345678901234568\",\n \"BANK_NAME\": \"BBVA Mexico\"\n },\n \"travelRule\": {\n \"BENEFICIARY_NAME\": \"Alice Garcia\",\n \"BENEFICIARY_ADDRESS\": {\n \"STREET\": \"Av. Reforma 100\",\n \"CITY\": \"Ciudad de Mexico\",\n \"STATE_PROVINCE\": \"CDMX\",\n \"POSTAL_CODE\": \"06600\",\n \"COUNTRY\": \"MX\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotencyKey\": \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\",\n \"refId\": \"d4e5f6a1-b2c3-7890-abcd-ef1234567890\",\n \"nickname\": \"Vendor A - MXN\",\n \"customerType\": \"INDIVIDUAL\",\n \"destinationCountry\": \"MX\",\n \"destinationCurrency\": \"MXN\",\n \"paymentMethod\": \"SPEI\",\n \"bankAccount\": {\n \"CLABE\": \"012345678901234568\",\n \"BANK_NAME\": \"BBVA Mexico\"\n },\n \"travelRule\": {\n \"BENEFICIARY_NAME\": \"Alice Garcia\",\n \"BENEFICIARY_ADDRESS\": {\n \"STREET\": \"Av. Reforma 100\",\n \"CITY\": \"Ciudad de Mexico\",\n \"STATE_PROVINCE\": \"CDMX\",\n \"POSTAL_CODE\": \"06600\",\n \"COUNTRY\": \"MX\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"idempotencyKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"refId": "d4e5f6a1-b2c3-7890-abcd-ef1234567890",
"nickname": "Vendor A - MXN",
"customerType": "INDIVIDUAL",
"destinationCountry": "MX",
"destinationCurrency": "MXN",
"paymentMethod": "SPEI",
"status": "INACTIVE",
"fieldManifest": "[\"BENEFICIARY_ADDRESS\",\"BENEFICIARY_NAME\",\"CLABE\"]",
"createDate": "2026-08-12T15:30:45.123Z",
"updateDate": "2026-08-12T15:30:45.123Z"
}
}Authorizations
Body
Request body for registering a new fiat payout beneficiary.
Bank and account fields required by the corridor. Keys are the field names
returned by GET /v1/beneficiaries/requirements with type TEXT (excluding
travel-rule fields). Values must satisfy any pattern constraint.
Show child attributes
Show child attributes
{
"CLABE": "012345678901234568",
"BANK_NAME": "BBVA Mexico"
}
Beneficiary travel-rule / PII fields required by the corridor. Keys are the
field names returned by GET /v1/beneficiaries/requirements for travel-rule
fields (prefixed BENEFICIARY_). ADDRESS type values are nested objects.
Show child attributes
Show child attributes
{
"BENEFICIARY_NAME": "Alice Garcia",
"BENEFICIARY_ADDRESS": {
"STREET": "Av. Reforma 100",
"CITY": "Ciudad de Mexico",
"STATE_PROVINCE": "CDMX",
"POSTAL_CODE": "06600",
"COUNTRY": "MX"
}
}
Was this page helpful?